package northwind_entities;// default package
// Generated Dec 23, 2019, 10:52:22 PM by Hibernate Tools 3.2.2.GA


import northwind_entities_save.DWEntity;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

import static javax.persistence.GenerationType.IDENTITY;

/**
 * OrderDetails generated by hbm2java
 */
@Entity
@DWEntity
@Table(name="order_details"
    ,catalog="northwind"
)
public class OrderDetails  implements java.io.Serializable {
    public String toString() {
        return
            "\"" + id + "\"," +
            "\"" + orders.getId() + "\"," +
            "\"" + products.getId() + "\"," +
            "\"" + quantity + "\"," +
            "\"" + unitPrice + "\"," +
            "\"" + discount + "\"," +
            "\"" + purchaseOrderId + "\"";
    }

     private Integer id;
     private Orders orders;
     private Products products;
     private OrderDetailsStatus orderDetailsStatus;
     private BigDecimal quantity;
     private BigDecimal unitPrice;
     private double discount;
     private Date dateAllocated;
     private Integer purchaseOrderId;
     private Integer inventoryId;

    public OrderDetails() {
    }

	
    public OrderDetails(Orders orders, BigDecimal quantity, double discount) {
        this.orders = orders;
        this.quantity = quantity;
        this.discount = discount;
    }
    public OrderDetails(Orders orders, Products products, OrderDetailsStatus orderDetailsStatus, BigDecimal quantity, BigDecimal unitPrice, double discount, Date dateAllocated, Integer purchaseOrderId, Integer inventoryId) {
       this.orders = orders;
       this.products = products;
       this.orderDetailsStatus = orderDetailsStatus;
       this.quantity = quantity;
       this.unitPrice = unitPrice;
       this.discount = discount;
       this.dateAllocated = dateAllocated;
       this.purchaseOrderId = purchaseOrderId;
       this.inventoryId = inventoryId;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)
    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="order_id", nullable=false)
    public Orders getOrders() {
        return this.orders;
    }
    
    public void setOrders(Orders orders) {
        this.orders = orders;
    }
@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="product_id")
    public Products getProducts() {
        return this.products;
    }
    
    public void setProducts(Products products) {
        this.products = products;
    }
@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="status_id")
    public OrderDetailsStatus getOrderDetailsStatus() {
        return this.orderDetailsStatus;
    }
    
    public void setOrderDetailsStatus(OrderDetailsStatus orderDetailsStatus) {
        this.orderDetailsStatus = orderDetailsStatus;
    }
    
    @Column(name="quantity", nullable=false, precision=18, scale=4)
    public BigDecimal getQuantity() {
        return this.quantity;
    }
    
    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }
    
    @Column(name="unit_price", scale=4)
    public BigDecimal getUnitPrice() {
        return this.unitPrice;
    }
    
    public void setUnitPrice(BigDecimal unitPrice) {
        this.unitPrice = unitPrice;
    }
    
    @Column(name="discount", nullable=false, precision=22, scale=0)
    public double getDiscount() {
        return this.discount;
    }
    
    public void setDiscount(double discount) {
        this.discount = discount;
    }
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="date_allocated", length=19)
    public Date getDateAllocated() {
        return this.dateAllocated;
    }
    
    public void setDateAllocated(Date dateAllocated) {
        this.dateAllocated = dateAllocated;
    }
    
    @Column(name="purchase_order_id")
    public Integer getPurchaseOrderId() {
        return this.purchaseOrderId;
    }
    
    public void setPurchaseOrderId(Integer purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }
    
    @Column(name="inventory_id")
    public Integer getInventoryId() {
        return this.inventoryId;
    }
    
    public void setInventoryId(Integer inventoryId) {
        this.inventoryId = inventoryId;
    }




}


